package com.engine.salary.mapper.report;

import com.engine.salary.report.entity.po.SalaryStatisticsItemPO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

public interface SalaryStatisticsItemMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<SalaryStatisticsItemPO> listAll();
    
    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<SalaryStatisticsItemPO> listSome(SalaryStatisticsItemPO SalaryStatisticsItemPO);
    

	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	SalaryStatisticsItemPO getById(Long id);
	
	/**
     * 新增，忽略null字段
     *
     * @param SalaryStatisticsItemPO 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(SalaryStatisticsItemPO SalaryStatisticsItemPO);
	
	/**
     * 修改，修改所有字段
     *
     * @param SalaryStatisticsItemPO 修改的记录
     * @return 返回影响行数
     */
	int update(SalaryStatisticsItemPO SalaryStatisticsItemPO);
	
	/**
     * 修改，忽略null字段
     *
     * @param SalaryStatisticsItemPO 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(SalaryStatisticsItemPO SalaryStatisticsItemPO);
	
	/**
     * 删除记录
     *
     * @param SalaryStatisticsItemPO 待删除的记录
     * @return 返回影响行数
     */
	int delete(SalaryStatisticsItemPO SalaryStatisticsItemPO);
    
    /**
     * 批量删除记录
     * @param ids 主键id集合
     */
    void deleteByIds(@Param("ids") Collection<Long> ids);

	void deleteByReportIds(@Param("reportIds") List<Long> reportIds);
}